/* **********************************************************
 * Copyright 2006 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

#ifndef __VMCI_INT_H__
#define __VMCI_INT_H__

#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

#include "vmci_infrastructure.h"
#include "vmciProcess.h"

#define DOLOG(...) printk(KERN_INFO __VA_ARGS__)
#define VMCI_LOG(_args) DOLOG _args

/* 
 * Called by common code, hence the different naming convention. 
 * XXX Should be in vmci.h.
 */
int VMCI_HyperCall(VMCICall *hypercall);

int vmcisharedmem_ioctl_handler(VMCIProcess *process, unsigned int iocmd,
                                void *ioarg);
int vmcisharedmem_destroy_handle(VMCIHandle handle);

#endif /* __VMCIINT_H__ */
