/* ************************************************************************
 * Copyright 2006 VMware, Inc.  All rights reserved. -- VMware Confidential
 * ************************************************************************/

/* 
 * vmciUtil.h --
 *
 *      Helper functions.
 */

#ifndef __VMCI_UTIL_H__
#define __VMCI_UTIL_H__

#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

#include "vmci_infrastructure.h"

typedef struct VMCIGuestDeviceHandle {
   void *obj;
   VMCIObjType objType;
} VMCIGuestDeviceHandle;

void VMCIUtil_Init(void);
Bool VMCIUtil_CheckHostCapabilities(void);
int VMCI_CopyToUser(void *dst, const void *src, unsigned int len);
VMCIId VMCI_GetContextID(void);
VMCIId VMCI_GetResourceID(void);
VMCIHandle VMCI_CreateHandle(void);
Bool VMCI_CheckHostCapabilities(void);


#endif //__VMCI_UTIL_H__
