#include <linux/fs.h>
#include <linux/stddef.h> /* NULL */


/*
 * Around 2.6.18, inodes were "slimmed". This involved removing the union
 * that encapsulates inode private data (and using i_private instead), as well
 * as removing i_blksize. Red Hat backported this behavior into a 2.6.17
 * kernel.
 *
 * This test will fail on a kernel with such a patch.
 */
void test(void)
{
   struct inode inode;

   inode.u.generic_ip = NULL;
}
